@extends('layout')

@section('title', $page->title)
@section('body-class', '')
@section('extra-css')
@endsection


@section('content')
 <div class="padding-y-80 bg-cover" data-dark-overlay="6" style="background:url({{url('')}}/assets/img/breadcrumb-bg.jpg) no-repeat">
  <div class="container">
    <h2 class="text-white">
      {{ $page->getTranslatedAttribute('title', $locale, $fall_back_locale) }}
    </h2>
    <ol class="breadcrumb breadcrumb-double-angle text-white bg-transparent p-0">
      <li class="breadcrumb-item"><a href="/">{{ __('messages.home') }}</a></li>
      <li class="breadcrumb-item">{{ $page->getTranslatedAttribute('title', $locale, $fall_back_locale) }}</li>
    </ol>
  </div>
</div>

<section class="paddingTop-50 paddingBottom-50 bg-light-v2">
         <div class="container">
            <div class="row">
               <div class="col-12">



				 <div class="list-card shadow-v1 p-4">

					@if(isset($page->image))
						<div class="col-md-4">
							<img class="w-100" src="{{ newsImage($page->image) }}" alt="">
						</div>
						<div class="col-md-8">
							<a href="#" class="h4">
							{{ $page->getTranslatedAttribute('title', $locale, $fall_back_locale) }}
							</a>
							<p>{{ $page->getTranslatedAttribute('excerpt', $locale, $fall_back_locale) }}</p>
							<div class="my-3">
							<p>
							{!! $page->getTranslatedAttribute('body', $locale, $fall_back_locale) !!}
							</p>
							</div>
						</div>

					@else
						<div class="col-md-12">
							<a href="#" class="h4">
							{{ $page->getTranslatedAttribute('title', $locale, $fall_back_locale) }}
							</a>
							<p>{{ $page->getTranslatedAttribute('excerpt', $locale, $fall_back_locale) }}</p>
							<div class="my-3">
							<p>
							{!! $page->getTranslatedAttribute('body', $locale, $fall_back_locale) !!}
							</p>
							</div>
						</div>

					@endif



				</div> <!-- END card-list-->



			   </div>
			</div>
		 </div>
</section>







@if(isset($page->files))

					 <section class="paddingTop-10 paddingBottom-10 bg-light-v2">
						<div class="container">
							<div class="row">
							<div class="col-lg-12 mt-5">

								@php
								$i=0;
								@endphp
								@foreach(json_decode($page->files) as $file)
									<div class="d-md-flex justify-content-between align-items-center bg-white shadow-v1 rounded mb-4 py-4 px-5 hover:transformLeft">
										<div class="media align-items-center">
											{{-- <div class="text-center border-right pr-4">
											<strong class="text-primary font-size-38">
											13
											</strong>
											<p class="mb-0 text-gray">
												Aug, 2018
											</p>
											</div> --}}
											<div class="media-body p-4">
											<p class="mb-1 text-gray">
												<i class="ti-file"></i>
												Pdf
											</p>
											<a href="#" class="h5">
											{{ json_decode($page->files)[$i]->original_name}}
											</a>
											</div>
										</div>
										<a href="/storage/{{ json_decode($page->files)[$i]->download_link}}" class="btn btn-outline-primary" target="_blunk">Download</a>
									</div>
								@php
								$i++;
								@endphp
								@endforeach









							</div>
							</div>
							<!-- END row-->
						</div>
						<!-- END container-->
					</section>

				@endif





@if(isset($page->pdf))
 <section class="paddingTop-10 paddingBottom-10 bg-light-v2">
        <div class="container">
            <div class="row">
                <div class="col-12 mx-auto">

					@php
					$i=0;
					@endphp
						@foreach(json_decode($page->pdf) as $pdf_single)
					<div class="d-md-flex justify-content-between align-items-center bg-white shadow-v1 rounded mb-4 py-4 px-5 hover:transformLeft">
                            <object data="/storage/{{ json_decode($page->pdf)[$i]->download_link}}" type="application/pdf" width="100%" height="800px">
                              <p>It appears you don't have a PDF plugin for this browser.
                               No biggie... you can <a href="/storage/{{ json_decode($page->pdf)[$i]->download_link}}">click here to
                              download the PDF file.</a></p>
							</object>
							</div>
					@php
					$i++;
					@endphp
						@endforeach


                </div>
            </div>
            <!-- END row-->
        </div>
        <!-- END container-->
	</section>
@endif





@endsection

@section('extra-js')

@endsection
